Nomi di dominio
GET https://uptime4.com/api/domain-names/
curl --request GET \
--url 'https://uptime4.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Facoltativo String | La stringa di ricerca. |
| search_by | Facoltativo String | Quale campo stai cercando. I valori consentiti sono: name, target. |
| is_enabled | Facoltativo Boolean | |
| project_id | Facoltativo Intero | |
| datetime_field | Facoltativo String | Valori consentiti: datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime |
| datetime_start | Facoltativo String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facoltativo String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facoltativo String | In quale campo ordinare i risultati. I valori consentiti sono: domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime. |
| order_type | Facoltativo String | L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente e DESC per ordinamento decrescente. |
| page | Facoltativo Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Facoltativo Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito è 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 14:24:52"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://uptime4.com/api/domain-names?page=1",
"last": "https://uptime4.com/api/domain-names?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/domain-names?page=1"
}
}
GET https://uptime4.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 14:24:52"
}
}
POST https://uptime4.com/api/domain-names
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Richiesto String | - |
| target | Richiesto String | - |
| project_id | Facoltativo Intero | - |
| whois_notifications | Facoltativo Array | ID del gestore delle notifiche |
| whois_notifications_timing | Facoltativo Intero | Valori consentiti: 1, 2, 3, 7, 14, 30, 60 (giorni) |
| ssl_notifications | Facoltativo Array | ID del gestore delle notifiche |
| ssl_notifications_timing | Facoltativo Intero | Valori consentiti: 1, 2, 3, 7, 14, 30, 60 (giorni) |
| is_enabled | Facoltativo Boolean | - |
curl --request POST \
--url 'https://uptime4.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime4.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": null,
"whois_notifications": [],
"ssl": null,
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 14:24:52"
}
}
POST https://uptime4.com/api/domain-names/{domain_name_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Facoltativo String | - |
| target | Facoltativo String | - |
| project_id | Facoltativo Intero | - |
| whois_notifications | Facoltativo Array | ID del gestore delle notifiche |
| whois_notifications_timing | Facoltativo Intero | Valori consentiti: 1, 2, 3, 7, 14, 30, 60 (giorni) |
| ssl_notifications | Facoltativo Array | ID del gestore delle notifiche |
| ssl_notifications_timing | Facoltativo Intero | Valori consentiti: 1, 2, 3, 7, 14, 30, 60 (giorni) |
| is_enabled | Facoltativo Boolean | - |
curl --request POST \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 14:24:52"
}
}
DELETE https://uptime4.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \